﻿using System;
using System.Drawing;
using System.Windows.Forms;
using static System.Windows.Forms.VisualStyles.VisualStyleElement.Window;

namespace LogonShell
{
	public partial class BackgroundForm : Form
	{
		LogOnForm f1;
		SecondaryBackgrounds[] secondaryBackgrounds;

		public BackgroundForm(IniFile settings, IniFile Locale)
		{
			InitializeComponent();
			Rectangle screen = Screen.PrimaryScreen.Bounds;
			Size = screen.Size;
			BackColor = ColorTranslator.FromHtml(settings.Read(6));
			if (settings.Read(7).ToLower() != "none")
			{
				var image = Image.FromFile(settings.Read(7));
				pictureBox1.Location = new System.Drawing.Point(Int32.Parse(settings.Read(9)), Int32.Parse(settings.Read(10)));
				if (Int32.Parse(settings.Read(12))>0)
				{
					if (settings.Read(13)=="X")
                    {
                        pictureBox1.Width = (int)Math.Round((float)screen.Width / 100 * Int32.Parse(settings.Read(12)));
                        pictureBox1.Height = (int)Math.Round((float)image.Height / image.Width * pictureBox1.Width);
                    }
					else if (settings.Read(13) == "Y")
                    {
                        pictureBox1.Height = (int)Math.Round((float)screen.Height / 100 * Int32.Parse(settings.Read(12)));
                        pictureBox1.Width = (int)Math.Round((float)image.Width / image.Height * pictureBox1.Height);
                    }
					else
                    {
                        pictureBox1.Width = (int)Math.Round((float)screen.Width / 100 * Int32.Parse(settings.Read(12)));
                        pictureBox1.Height = (int)Math.Round((float)screen.Height / 100 * Int32.Parse(settings.Read(12)));
                    }
                }
                else
				{
					if (settings.Read(11).ToLower()=="auto")
                    {
                        pictureBox1.Width = image.Width;
                        pictureBox1.Height = image.Height;
                    }
					else
                    {
                        pictureBox1.Width = Int32.Parse(settings.Read(11));
                        pictureBox1.Height = (int)Math.Round((float)image.Height / image.Width * pictureBox1.Width);
                    }
				}
                pictureBox1.SizeMode = PictureBoxSizeMode.StretchImage;
				pictureBox1.Image = image;
			}
            f1 = new LogOnForm(settings, Locale);
			if (settings.Read(5)=="Multi")
            {
                Screen[] screens = Screen.AllScreens;
				secondaryBackgrounds = new SecondaryBackgrounds[screens.Length];
				int i = 0;
				foreach (Screen temp in screens)
                {
                    if (!temp.Primary)
                    {
                        secondaryBackgrounds[i] = new SecondaryBackgrounds(settings, f1, temp);
                        secondaryBackgrounds[i].Show();
                    }
                    i++;
                }
            }
            Shown += BackgroundForm_Shown;
		}

		private void BackgroundForm_Shown(object sender, EventArgs e)
		{
			f1.Show();
		}

		private void BackgroundForm_FormClosing(object sender, FormClosingEventArgs e)
		{
			if (e.CloseReason == CloseReason.UserClosing)
				e.Cancel = true;
		}

		private void BackgroundForm_Activated(object sender, EventArgs e)
		{
			f1.Activate();
		}
	}
}
