﻿using System.IO;
using System.Reflection;
using System.Runtime.InteropServices;
using System.Text;
namespace LogonShell {
    public class Settings
    {
        public static string ProgramVersion = "RC2";
        public static IniKey[] Default { get; } = new IniKey[] {
            new IniKey("Version", ProgramVersion, "Program"),
            new IniKey("ResetSettings", "False", "Main"),
            new IniKey("ResetLocale", "False", "Main"),
            new IniKey("Banner", "theme\\banner.png", "Main"),
            new IniKey("Localisation", "theme\\locale.ini", "Main"),
            new IniKey("Type", "Multi", "Background"),
            new IniKey("Color", "#1d5c8c", "Background"),
            new IniKey("Image", "theme\\bg.logo.png", "Background"),
            new IniKey("ShowOnMulti", "True", "Background"),
            new IniKey("X", "12", "Background"),
            new IniKey("Y", "12", "Background"),
            new IniKey("Width", "600", "Background"),
            new IniKey("ScaleFactor", "0", "Background"),
            new IniKey("ScaleType", "X", "Background"),
            new IniKey("UseKeySequence", "False", "KeySequence"),
            new IniKey("Icon", "theme\\keyboard.icon.png", "KeySequence"),
            new IniKey("Type", "ListLast", "Login"),
            new IniKey("IsCancelEnabled", "True", "Login"),
            new IniKey("ButtonX", "None", "Login"),
            new IniKey("Image", "theme\\loading.gif", "Loading"),
            new IniKey("ReverseAtEnd", "False", "Loading"),
            new IniKey("Icon", "theme\\computer.icon.png", "Shutdown")
        };





        public static IniKey[] Locale { get; } = new IniKey[]
        {
            new IniKey("Version", ProgramVersion, "Program"),
            new IniKey("buttonOK", "OK", "Main"),
            new IniKey("buttonCancel", "Cancel", "Main"),
            new IniKey("Title", "Welcome to Windows", "KeySequence"),
            new IniKey("Text", "Press the Windows key to start.", "KeySequence"),
            new IniKey("Title", "Log On to Windows", "Login"),
            new IniKey("labelPassword", "Password:", "Login"),
            new IniKey("labelUsername", "User name:", "Login"),
            new IniKey("buttonOptions", "Options", "Login"),
            new IniKey("buttonShutdown", "Shutdown...", "Login"),
            new IniKey("Title", "Please Wait...", "Loading"),
            new IniKey("Text", "Applying your personal settings...", "Loading"),
            new IniKey("Title", "Shut down Windows", "Shutdown"),
            new IniKey("Text", "What do you want the computer to do?", "Shutdown"),
            new IniKey("ShutdownText", "Shutting down Windows...", "Shutdown"),
            new IniKey("Name1", "Shut down", "Shutdown"),
            new IniKey("Name2", "Restart", "Shutdown"),
            new IniKey("Name3", "Stand by", "Shutdown"),
            new IniKey("Desc1", "Ends your session and shuts down Windows so you can safely turn off power.", "Shutdown"),
            new IniKey("Desc2", "Ends your session, shuts down Windows, and starts Windows again.", "Shutdown"),
            new IniKey("Desc3", "Maintains your session, keeping the computer running on low power with data still in memory.", "Shutdown")
        };
    }
}